/* BOREXINO Reconstruction program
 *
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: bx_muon_decoder.hh,v 1.1 2004/04/02 09:56:03 ddangelo Exp $
 *
 * Modules for decoding of muon infos
 * 
*/

#ifndef _BX_MUON_DECODER_HH
#define _BX_MUON_DECODER_HH

#include "bx_rec_general.hh"
#include "bx_base_module.hh"

class bx_muon_decoder : public bx_base_module {
  public:
    bx_muon_decoder ();
    virtual ~bx_muon_decoder () {}
      
    // Operations for the framework 
    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();

  private:

};

#endif
/*
 * $Log: bx_muon_decoder.hh,v $
 * Revision 1.1  2004/04/02 09:56:03  ddangelo
 * created bx_muon_decoder module.
 * precalibration and calibration/db info are still commented out
 *
 *
 */
