/* BOREXINO Reconstruction program
 *
 * Author: Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_root_event.hh,v 1.3 2004/04/18 10:32:30 razeto Exp $
 *
 * This is the event stored into root TTree
 *
 */
#ifndef _BX_ROOT_EVENT_H
#define _BX_ROOT_EVENT_H
#include <TROOT.h>
#include <TObject.h>

class bx_root_event: public TObject {
  public:
    bx_root_event ();
    virtual ~bx_root_event ();
    
    // all variables clean up
    void clear ();

    ClassDef (bx_root_event, 1)    
  private:
};

#endif
/*
 * $Log: bx_root_event.hh,v $
 * Revision 1.3  2004/04/18 10:32:30  razeto
 * Added full root support: TObject hinheritance and dictionary auto-creation
 *
 * Revision 1.2  2004/04/18 09:15:19  razeto
 * Fixed indentation
 *
 * Revision 1.1  2004/04/16 15:02:22  pallas
 * Start developing of root event structure
 * Not defined yet, but preprared infrastructure
 *
 *
 */
