#ifndef _BX_EVENT_DISK_FORMAT_H
#define _BX_EVENT_DISK_FORMAT_H

struct event_header_disk_format { /* 40 bytes */
  unsigned long event_size_bytes;
  unsigned long run_number;
  unsigned long event_number;
  unsigned long enabled_crates;
  unsigned long laben_offset;
  unsigned long sum_offset;
  unsigned long muon_offset;
  unsigned long mctruth_offset;
  unsigned long builder_time_seconds;
  unsigned long builder_time_nanoseconds;
};

struct trigger_disk_format { /* 40 bytes */
  unsigned short length;
  unsigned short error;
  unsigned short blocks;
  unsigned short version;
  unsigned long  conf1;
  unsigned long  conf2;
  unsigned long  time;
  unsigned long  evid;
  unsigned long  trgw;
  unsigned long  gps1;
  unsigned long  gps2;
  unsigned long  gps3;
};

struct laben_header_disk_format { /* 8 bytes */
  unsigned long  entries;
  unsigned long  errors;
};

struct laben_hit_disk_format { /* 12 bytes */
  unsigned short channel;
  unsigned char  time_s[2];
  unsigned short time_l;
  unsigned char  charge[2];
  unsigned short flags;
  unsigned short errors;
};

struct muon_header_disk_format { /* 12 bytes */
  unsigned long  nwords;
  unsigned long  trgid;
  unsigned long  error_flag;
};

struct muon_edge_disk_format { /* 4 bytes */
  unsigned long tdc_word;
};

#endif
