#include "bx_reco_framework.hh"
#include "bx_options.hh"
#include "bx_dbi.hh"
#include "messenger.hh"

#include <iostream>
#include <stdexcept>

int main(int argc, char *argv[]) {
  try {	
    bx_options::get ()->set_command_line (argc, argv);

    bx_reco_framework frame;
    frame.run();

  } catch (std::exception& ex) {
    std::cout << ">>> exception: " << ex.what() << std::endl;
  } catch (...) {
    std::cout << ">>> exception: unknown type" << std::endl;
  }
  messenger::get ()->flush ();
}
