/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_d80.hh,v 1.1 2004/04/26 13:50:51 razeto Exp $
 *
 * Precalib for laben phases (3st cycle): calcolate d80
 *
 */
#ifndef _BX_PRECALIB_LABEN_D80_H
#define _BX_PRECALIB_LABEN_D80_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"


class bx_precalib_laben_d80: public bx_base_module {
  public:
    bx_precalib_laben_d80 ();
    virtual ~bx_precalib_laben_d80 () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int **d80_delay_map;
};

#endif
/*
 * $Log: bx_precalib_laben_d80.hh,v $
 * Revision 1.1  2004/04/26 13:50:51  razeto
 * Added
 *
 */
